Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Jul 22 11:44
    zifter closed #858
  • Jul 22 09:24
    szypulka commented #858
  • Jul 22 09:05
    zifter commented #858
  • Jul 02 08:48
    zifter commented #858
  • Jun 28 13:54
    sashayakovtseva opened #860
  • Jun 16 11:17
    dacdodinh99 opened #859
  • Apr 09 16:07
    zifter opened #858
  • Feb 16 12:02
    k-morozov commented #855
  • Feb 12 13:40
    zhangguanzhang commented #845
  • Jan 27 19:50
    megazazik closed #787
  • Dec 29 2020 10:11
    sour59 opened #857
  • Dec 21 2020 04:55
    Taalaibekova31 opened #856
  • Dec 11 2020 10:27
    popov-r commented #773
  • Dec 11 2020 10:26
    popov-r commented #773
  • Dec 10 2020 10:51
    JavaUnchained opened #855
  • Dec 02 2020 21:44

    fomars on master

    Update README.md (compare)

  • Dec 02 2020 21:40
    fomars closed #852
  • Dec 02 2020 19:25
    fomars synchronize #852
  • Dec 02 2020 19:25

    fomars on master

    Merge pull request #839 from ya… add options for influxdb upload… add documentation for ssl and p… and 3 more (compare)

  • Dec 01 2020 12:41
    fomars synchronize #852
oybek
@oybek

Ребят всем привет
Пытаюсь запустить простенький тест из туториала:
load.yaml:

phantom:
  enabled: true
  address: cs-hydra-app.query.consul-test # [Target's address]:[target's port]
  headers:
    - "[Host: cs-hydra-app.query.consul-test]"
    - "[Cache-Control: no-cache]"
  uris:
    - /approve/
  load_profile:
    load_type: rps # schedule load by defining requests per second
    schedule: line(1, 10, 10m) # starting from 1rps growing linearly to 10rps during 10 minutes
console:
  enabled: true # enable console output
telegraf:
  enabled: false # let's disable telegraf monitoring for the first time

Пишет:

14:02:43 WARNING: /etc/yandex-tank is not acessible to get configs list
14:02:43 INFO: Loading configs...
14:02:43 ERROR: Can't load configs: File contains no section headers.
file: load.yaml, line: 1
'phantom:\n'
14:02:43 INFO: Exception: Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/yandextank/core/consoleworker.py", line 214, in configure
    self.core.load_configs(configs)
  File "/usr/lib/python2.7/dist-packages/yandextank/core/tankcore.py", line 227, in load_configs
    self.config.load_files(configs)
  File "/usr/lib/python2.7/dist-packages/yandextank/core/tankcore.py", line 604, in load_files
    raise ex
MissingSectionHeaderError: File contains no section headers.
file: load.yaml, line: 1
'phantom:\n'

14:02:43 ERROR: File contains no section headers.
file: load.yaml, line: 1
'phantom:\n'
14:02:43 ERROR: Exception: File contains no section headers.
file: load.yaml, line: 1
'phantom:\n'

Я что-то упустил?

Maxim Baryshev
@super_makc_gitlab
@oybek попробуй добавить --- в начало файла load.yaml
adrukan
@adrukan
Всем привет. Подскажите пожалуйста почему не отображаются данные в таблице "Monitoring aggregates" на вкладке "Monitoring"-> "Aggregates"?
Данные собираю с помощью telegraf, графики отрисовываются нормально.
Elena
@h-elena
Привет. Как в пандоре задать Cipher Suite. Как поняла Фантом не поддерживает ECDHE-RSA-AES256-SHA384. Как это залить в конфиг для Пандоры?
Rubikoid
@Rubikoid

Всем привет, подскажите, что можно сделать, если при запуске с overload'ом плагин падает?
Debian 10.5, python 3.7.3, танк установлен из мастер-ветки.
Видел yandex/yandex-tank#773 с такой же ошибкой, но там ничего по существу нет.
Собственно, пишет:
В начале:

    Failed to create job on lunapark
    ChunkedEncodingError(ProtocolError('Connection broken: IncompleteRead(0 bytes read)', IncompleteRead(0 bytes read)))
    Failed to connect to Lunapark, disabling DataUploader

И в конце:

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/client.py", line 339, in new_job
        "api/job/create.json", data, trace=trace)[0]
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/client.py", line 285, in __post
        trace=trace)
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/client.py", line 190, in __make_api_request
        response = self.__send_single_request(request, next(ids), trace=trace)
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/client.py", line 128, in __send_single_request
        resp = self.session.send(p, timeout=self.connection_timeout)
      File "/usr/lib/python3/dist-packages/requests/sessions.py", line 686, in send
        r.content
      File "/usr/lib/python3/dist-packages/requests/models.py", line 828, in content
        self._content = b''.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b''
      File "/usr/lib/python3/dist-packages/requests/models.py", line 753, in generate
        raise ChunkedEncodingError(e)
    requests.exceptions.ChunkedEncodingError: ('Connection broken: IncompleteRead(0 bytes read)', IncompleteRead(0 bytes read))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/local/lib/python3.7/dist-packages/yandextank/core/tankcore.py", line 329, in plugins_end_test
        retcode = plugin.end_test(retcode)
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/plugin.py", line 316, in end_test
        self.lp_job.interrupted.set()
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/plugin.py", line 546, in lp_job
        self._lp_job = self.__get_lp_job()
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/plugin.py", line 587, in __get_lp_job
        lp_job.send_config(LPRequisites.CONFIGINITIAL, yaml.dump(self.core.configinitial))
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/plugin.py", line 807, in send_config
        self.api_client.send_config(self.number, lp_requisites, content, trace=self.log_other_requests)
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/plugin.py", line 765, in number
        self.create()
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/plugin.py", line 789, in create
        trace=self.log_other_requests)
      File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/DataUploader/client.py", line 356, in new_job
        raise self.JobNotCreated()
    yandextank.plugins.DataUploader.client.APIClient.JobNotCreated
Rubikoid
@Rubikoid
Окей, оказалось, что в файле был поломанный токен.
Roman
@9868-08
коллеги, а где изначально взять токен для overload? не нахожу на сайте
нашел! спасибо.
Evgeny Nichegovskiy
@DrBlast
Коллеги, установил последнюю версию танка из мастера, перестал работать мониторинг, какие-то обновления в monitoring.xml нужно сделать или баг?
09:46:18 [WARNING] Plugin plugin_telegraf failed:
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/yandextank/core/tankcore.py", line 290, in wait_for_finish
    retcode = plugin.is_test_finished()
  File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/Telegraf/plugin.py", line 217, in is_test_finished
    monitoring_data = self.monitoring.poll()
  File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/Telegraf/collector.py", line 102, in poll
    self.hash_hostname(agent.host): {
  File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/Telegraf/collector.py", line 144, in hash_hostname
    return hashlib.md5(host).hexdigest()
TypeError: Unicode-objects must be encoded before hashing
09:46:18 [WARNING] Disabling plugin plugin_telegraf
Alexandr Ivanov
@trueival
@aensidhe Анатолий, добрый день. Overload бесплатный проект, но открывать код не планируется. Приватная инсталяция сейчас не возможна. А если не секрет, какую проблему вы хотите при её помощи решить? Результаты теста сложно связать с реальным проектом(если в них нет соответствующей метаинформации).
Alexandr Ivanov
@trueival
@DrBlast Привет. А можешь скинуть конфиг для воспроизведения? Похоже на проблему с обновлением питона.
Evgeny Nichegovskiy
@DrBlast
<Monitoring>
 <Host address="myhost" interval="1" username="userhere">
        <CPU fielddrop='["time_*", "usage_guest_nice"]'></CPU>
        <Kernel fielddrop='["active", "inactive", "total", "used_per*", "avail*"]'></Kernel>
        <Net fielddrop='["icmp*", "ip*", "udplite*", "tcp*", "udp*", "drop*", "err*"]' interfaces='["eth0","eth1","lo"]'></Net>
        <System fielddrop='["n_users", "n_cpus", "uptime*"]'></System>
        <Memory fielddrop='["active", "inactive", "total", "used_per*", "avail*"]'></Memory>
    <Disk devices='["sdb"]'></Disk>
    <Custom measure="call" diff="1" label="gc1-2-5-7">sudo jstat -gc 3705644 | tail -n 1 | awk -F' ' '{print $1 + $2 + $5 + $7}'</Custom>
    <Custom measure="call" diff="1" label="gc-3-4-6-8">sudo jstat -gc 3705644 | tail -n 1 | awk -F' ' '{print $3+$4+$6+$8}'</Custom>
    <Custom measure="call" diff="1" label="Disk ops">iostat -yd sdb 1 1 |grep sdb |awk '{print $2}'</Custom>
    <Netstat />
 </Host>
</Monitoring>
@trueival лови, Python v3.7.5 стоит
плюс еще авторизация в overload сломалась
GET https://login.persona.org/include.js net::ERR_NAME_NOT_RESOLVED
Alexandr Ivanov
@trueival
@DrBlast кажется дело как раз в названии хоста. Можешь обфусцировать заменив на часть символов но сохранив кодировку или спец символы?
Evgeny Nichegovskiy
@DrBlast
host-htz-reg1-2.mynodes.com
Rubikoid
@Rubikoid

Коллеги, установил последнюю версию танка из мастера, перестал работать мониторинг, какие-то обновления в monitoring.xml нужно сделать или баг?

09:46:18 [WARNING] Plugin plugin_telegraf failed:
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/yandextank/core/tankcore.py", line 290, in wait_for_finish
    retcode = plugin.is_test_finished()
  File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/Telegraf/plugin.py", line 217, in is_test_finished
    monitoring_data = self.monitoring.poll()
  File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/Telegraf/collector.py", line 102, in poll
    self.hash_hostname(agent.host): {
  File "/usr/local/lib/python3.7/dist-packages/yandextank/plugins/Telegraf/collector.py", line 144, in hash_hostname
    return hashlib.md5(host).hexdigest()
TypeError: Unicode-objects must be encoded before hashing
09:46:18 [WARNING] Disabling plugin plugin_telegraf

Баг появился скорее всего после обновления питона, в третьем надо передавать host.encode()

Можно просто поправить строку в файле
szypulka
@szypulka

@DrBlast а можно подробностей про авторизацию? Невозможно залогиниться в вебсервисе с OAuth?

плюс еще авторизация в overload сломалась
GET https://login.persona.org/include.js net::ERR_NAME_NOT_RESOLVED

Alexandr Ivanov
@trueival
ага, на внутренней инсталяции в эту ветку кода мы не попадаем. Воспроизвёл, сейчас поправлю. Но к сожалению надо дождаться когда весь пайплайн пройдёт, пока наружу фикс уйдёт
Evgeny Nichegovskiy
@DrBlast
@szypulka не работает кнопка входа в правом верхнем углу экрана (почему-то только ее пробовал). Большая кнопка с надписью "Sign in" отрабатывает нормально
1 reply
Вообще не отображается предложение выбора способа авторизации. Происходит переагрузка страницы
Alexey Stepanov
@Arsennikum

Люди добрые!
Подскажите, почему танк отдаёт какие-то страшные значения времени ответа в несколько сотен мс даже для простой заглушки, отдающей заготовленный ответ https://overload.yandex.net/355519 (в графане через influxdb тоже самое)

Тогда как если прямо во время теста параллельно попробовать постманом, то он отдаёт за пару мс, а если к сервису подключить актуатор, то он тоже показывает нормальные данные с минимальными значениями ответа
actuator

вот мой load.yaml

phantom:
  address: host.docker.internal:8888
  ammofile: ammofile.txt
  ammo_type: phantom
  instances: 350
  load_profile:
    load_type: rps
    schedule: const(1500,10m)
console:
  enabled: true
telegraf:
  enabled: false
popov-r
@popov-r
Привет всем, как увидеть веб интерфейс обстрела?
dmekhov
@dmekhov

Добрый день! Подскажите пожалуйста, можно ли заставить утилиту выполнять редиректы?
А так же получать и отправлять полученные куки вместе с запросами?

Задача: танк заходит на страницу, получает редирект в ответ, там ему вешается кука, он возвращается обратно. Ожидается что полученная кука будет видна в запросе на вернувшейся странице.

Sergey Kononenko
@hackfeed
Всем привет! Не подскажете, почему Танк не видит пандоровский бинарь? Подключаюсь в контейнер, все ок, файлы на месте, но тест не стартует.
yandex-tank_1  | 00:26:07 [INFO] Starting: ['/var/loadtest/binary/ammo', '/var/loadtest/logs/2020-12-14_00-25-45.628422/pandora_config_EOc012.yaml']
yandex-tank_1  | 00:26:08 [ERROR] Test interrupted:
yandex-tank_1  | <type 'exceptions.RuntimeError'>: Unable to start Pandora binary and/or file does not exist: ['/var/loadtest/binary/ammo', '/var/loadtest/logs/2020-12-14_00-25-45.628422/pandora_config_EOc012.yaml']
Ivan Sushkov
@i.sushkov_gitlab
Привет, в одном из докладов рассказывали про оффлайн отчет который состоит из 1 html, что за плагин его строит?
QAProvider
@QAProvider
всем привет. как решить проблему?
ERROR: Package 'yandextank' requires a different Python: 3.8.5 not in '==3.7.*'
это при запуске sudo -H pip3 install https://api.github.com/repos/yandex/yandex-tank/tarball/master
Vyacheslav Egorov
@ozyab09
коллеги, всем привет!
а можно как-то получить информацию с последнего вывода консоли?
Strokachuk Oleg
@zifter
всем привет!
подскажите, ожидается ли поддержка docker image в актуальном состоянии?
С сборкой локально все еще наблюдаются проблемы:
yandex/yandex-tank#857
Alexandr Boltris
@AlexandrBoltris

Кто-нибудь знает, как поменять настройки (имя диска и имя сетевого адаптера) telegraf?
В логе проскакивает вот такой конфиг для телеграфа:

18:16:40 [INFO] Telegraf Result config {'username': 'root', 'comment': '', 'telegraf': '/usr/bin/telegraf', 'python': '/usr/bin/env python2', 'host_config': {'Kernel': {'fielddrop': '["boot_time"]', 'name': '[inputs.kernel]'},
'System': {'fielddrop': '["n_users", "n_cpus", "uptime*"]', 'name': '[inputs.system]'},
'Memory': {'fielddrop': '["active", "inactive", "total", "used_per*", "avail*"]', 'name': '[inputs.mem]'},
'Net': {'interfaces': '["eth0","eth1","eth2","eth3","eth4","eth5"]', 'fielddrop': '["icmp*", "ip*", "udplite*", "tcp*", "udp*", "drop*", "err*"]', 'name': '[inputs.net]'},
'Disk': {'name': '[inputs.diskio]', 'devices': '["vda0","sda0","vda1","sda1","vda2","sda2","vda3","sda3","vda4","sda4","vda5","sda5"]'},
'CPU': {'fielddrop': '["time_*", "usage_guest_nice"]', 'name': '[inputs.cpu]', 'percpu': 'false'}},
'startup': [], 'host': 'test1.tld', 'telegrafraw': [], 'shutdown': [], 'port': 22, 'interval': 1, 'custom': [], 'source': []}

А у меня в системе нет eth0. Есть enp0s31f6. Ну и такая же история с NVMe дисками.

Alexandr Boltris
@AlexandrBoltris
Сам разобрался. Вот:
<Monitoring>
        <Host address="test1.tld">
                <CPU/>
                <Kernel/>
                <Net/>
                <System/>
                <Memory/>
                <Net interfaces='["enp35s0", "enp35s1"]'/>
                <Disk devices='["md1", "md2"]'/>
        </Host>
</Monitoring>
Mikhail Pekhota
@mpekhota
Кто подскажет, в чем может быть проблема? Настраиваю ammo.txt, выполняю запуск "стрельб" и каждый раз получаю ошибку 400 bad request. С теми же параметрами postman отрабатывает запросы. ammo.txt формировал python-скриптом из документации. Сам yandex.tank запускаю в Docker.
Tester224373
@Tester224373
@QAProvider аналогичная проблема. Обновление и изначальная установка версии питона с 3.7 и позже не помогла.
QAProvider
@QAProvider

@QAProvider аналогичная проблема. Обновление и изначальная установка версии питона с 3.7 и позже не помогла.

В итоге через докер делаем весь запуск, т.к. не нашли способ заинсталлить все это добро. Рекомендую делать тоже самое.

Evgeny Nichegovskiy
@DrBlast
@QAProvider установить python и pip версии 3.7
AliceCarroll239
@AliceCarroll239
Всем привет, подскажите пожалуйста как правильно указать в конфиге я.танка параметры pandora, конкретно pandora_cmd.
Чего только не пытаюсь там указывать, получаю ошибку Unable to start Pandora binary and/or file does not exist
Бинарник скомпилированный лежит в корне проекта, оттуда и пытаюсь запустить через docker
Evgeniy Moskalenko
@evgmoskalenko
ребят подскажите пожалуйста, что в моей конфигурации не правильно?
data:
  ammo-config.txt: |-
    [Host: my-host-withiut-port]
    [Accept: */*]
    [Accept-Encoding: gzip, deflate]
    [Authorization: Bearer mytoken]
    [Content-Type: application/json]
    [Connection: keep-alive]
    [User-Agent: YandexTank]
    400 POST /api/v1/my-endpoint HTTP/1.1
    {"key1": "value1", "key2": value2}

  rps.line.yaml: |-
    overload:
      enabled: true
      package: yandextank.plugins.DataUploader
      job_name: name
      job_dsc: desc
      token_file: ./ssl/token.txt
    phantom:
      address: my-host:443
      ssl: true
      header_http: "1.1"
      headers:
        - "[Host: my-host-withiut-port]"

      ammo_type: uripost
      ammofile: ./config/ammo-config.txt

      load_profile:
        load_type: rps
        schedule: const(15, 48h)
    autostop:
      autostop:
        #- time(3s, 10s)
        - http(5xx, 50%, 1s)
        - net(xx, 1000, 1s)
    console:
      enabled: true
    telegraf:
      enabled: false
Evgeniy Moskalenko
@evgmoskalenko
может я не правильно считаю размер запроса?
Grigoriy
@ligreen
@evgmoskalenko В патронах "POST" лишний между размером 400 байт и url-ом
Пример можно вот тут посмотреть: https://yandextank.readthedocs.io/en/latest/tutorial.html?highlight=uri-style#uri-post-style
eXerc1st
@eXerc1st
какие параметры нужно настроить чтоб совпадало с нагрузкой в 500 пользователей дающих запрос каждые 20мс?
1 reply
Vladimir Bykov
@vbyk0v
[WARNING] API error, will retry in 10s...
судя по истории проблемы с сервисом https://overload.yandex.net/ ? Failed to push test data
razin3061
@razin3061
Поддерживаю, в логах тоже вижу
2021-03-02 14:28:48,682 [WARNING] yandextank.plugins.DataUploader.client client.py:517 API error, will retry in 10s...
Aleksey Smirnov
@fessmage
Третьи сутки уже проблемы с overload.yandex.net - результаты подгружает медленно или не подгружает вовсе, не рендерит графики и проч. Обычное использование невозможно. И нигде никаких уведомлений нет, что происходит. У кого-нибудь есть информация?
zynaps-ru
@zynaps-ru
Яндекс, проснитесь. У вас все упало.
szypulka
@szypulka
На оверлоаде действительно второй день проблемы с заливкой данных, сейчас чиним.
5 replies
pvsv1984
@pvsv1984
Всем привет. После завершения тестирования все время вылетает варнинг File not found to collect: validation_error.yaml . Для чего этого файл и от почему его нет?
1 reply
lisitsinvo
@lisitsinvo
Overload кажется rip
2 replies